# eoFitnessScalingSelect< EOT > Class Template Reference

eoFitnessScalingSelect: select an individual proportional to the linearly scaled fitness that is computed by the private eoLinearFitScaling object More...

`#include <eoFitnessScalingSelect.h>`

Inheritance diagram for eoFitnessScalingSelect< EOT >:

List of all members.

## Public Member Functions

| eoFitnessScalingSelect (double _p=2.0)
| Ctor:.

## Private Attributes

eoLinearFitScaling< EOT > | scaling

## Detailed Description

### template<class EOT>
class eoFitnessScalingSelect< EOT >

eoFitnessScalingSelect: select an individual proportional to the linearly scaled fitness that is computed by the private eoLinearFitScaling object

Definition at line 40 of file eoFitnessScalingSelect.h.

## Constructor & Destructor Documentation

template<class EOT>
eoFitnessScalingSelect< EOT >::eoFitnessScalingSelect | ( | double | _p = `2.0` | ) | `[inline]`

Ctor:.

Parameters:

  | _p | the selective pressure, should be in [1,2] (2 is the default)

Definition at line 46 of file eoFitnessScalingSelect.h.

The documentation for this class was generated from the following file:

- eoFitnessScalingSelect.h